LN(1)

NAME
ln - Make links between files.

SYNOPSIS
ln [--backup] [-b ] [-f|--force] [-i|--interactive] [-n|--no-dereference] [-L|--logical] [-P|--physical] [-s|--symbolic] [-S|--suffix] [-t|--target-directory] [-T|--no-target-directory] [-r|--relative] [-v|--verbose] [-h|--help] [-V|--version] <files>

DESCRIPTION
Make links between files.

OPTIONS

--backup[=<CONTROL>]
    make a backup of each existing destination file

-b  like --backup but does not accept an argument

-f, --force
    remove existing destination files

-i, --interactive
    prompt whether to remove existing destination files

-n, --no-dereference
    treat LINK_NAME as a normal file if it is a symbolic link to a directory

-L, --logical
    follow TARGETs that are symbolic links

-P, --physical
    make hard links directly to symbolic links

-s, --symbolic
    make symbolic links instead of hard links

-S, --suffix <SUFFIX>
    override the usual backup suffix

-t, --target-directory <DIRECTORY>
    specify the DIRECTORY in which to create the links

-T, --no-target-directory
    treat LINK_NAME as a normal file always

-r, --relative
    create symbolic links relative to link location

-v, --verbose
    print name of each linked file

-h, --help
    Print help

-V, --version
    Print version

<files>

EXTRA
## Examples Create a symbolic link to a file or directory: ln {{[-s|--symbolic]}} /{{path/to/file_or_directory}} {{path/to/symlink}} Create a symbolic link relative to where the link is located: ln {{[-s|--symbolic]}} {{path/to/file_or_directory}} {{path/to/symlink}} Overwrite an existing symbolic link to point to a different file: ln {{[-sf|--symbolic --force]}} /{{path/to/new_file}} {{path/to/symlink}} Create a hard link to a file: ln /{{path/to/file}} {{path/to/hardlink}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.10.0